Get All Shipments for Order

View as Markdown
Retrieves all shipments associated with a specific order, including shipment status, tracking information, and product details.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

orderIdstringRequiredformat: "int32"
The order id to get shipments for

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
actual_fulfillment_datedatetime or null

The datetime of ShipBob’s completion of the fulfillment operation as promised. Currently, this means the shipment has been picked, packed, and label has been printed.

created_datedatetime or null
Date this shipment was created
delivery_datedatetime or null
The datetime of Shipment delivered to customer.
estimated_fulfillment_datedatetime or null

The datetime of ShipBob’s commitment for completing the shipment and handing to the carrier for delivery.

estimated_fulfillment_date_statusenum or null
gift_messagestring or null<=500 characters
Gift message associated with the shipment
idinteger or null
Unique id of the shipment
insurance_valuedouble or null
Monetary amount that this shipment was insured for
invoice_amountdouble or null
Monetary amount that was invoiced for this shipment
invoice_currency_codestring or null
is_tracking_uploadedboolean or null

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated.

last_tracking_update_atdatetime or null
Timestamp for the last time this shipment had a tracking update
last_update_atdatetime or null
Date this shipment was last updated
locationobject or null
Information about a fulfillment center that a shipment can belong to
measurementsobject or null
Measurements of a shipment
order_idinteger or null
Id of the order this shipment belongs to
package_material_typeenum or null
parent_cartonslist of objects or null
Carton information for this shipment
productslist of objects or null
Information about the products contained in this shipment
recipientobject or null
Information about the recipient of a shipment
reference_idstring or null

Client-defined external unique id of the order this shipment belongs to

require_signatureboolean or null
If a shipment requires signature
ship_optionstring or null
Name of the shipping option used for this shipment
statusenum or null
status_detailslist of objects or null
Additional details about the shipment status
trackingobject or null
Tracking information for a shipment

Errors